Chatbot System Reqts.

 

 Chatbot Encounters™

System Requirements


* * *  No special installation is required — this product runs entirely on the web via a normal web-browser. * * *


 

It REQUIRES JavaScript (not  the same as “Java”), to be enabled on the browser.

 

It “should” run behind a firewall.

It “should” work with any of the common web browsers, including Internet Explorer,  Firefox, Opera,  Safari, Chrome,  Silk.

It “should” work with any operating system, at least with current or recent versions of Windows,  Mac OS,  Linux, and Android.

Specific mobile device types and screen-sizes are captured, but not yet used to customize the display (see below.)


 

So far it has been briefly tested on the following platforms with results as stated below:

  • Windows 7 SP1, with Firefox 32.0.1, on an underpowered Dell Inspiron laptop – worked correctly
  • Windows 7 SP1, with Chrome (Version 37.0.2062.120 m) on an underpowered Dell Inspiron laptop – worked correctly
  • Windows 7 SP1, with Internet Explorer (v11.0) on an underpowered Dell Inspiron laptop – worked correctly
  • Windows 8.1, with Firefox 32.0.1, on a high-powered Dell – worked correctly
  • Mac OS 10.6.8 (“Snow Leopard”) and Safari on a tiny Mac Mini – worked correctly
  • Kindle Fire HDX tablet,  using Silk browseranimated figures and text-to-speech failed, possibly resolvable. Otherwise it worked.
  • iPhone 3 with iOS 6.1.6, using Safari animated figures and text-to-speech failed, possibly resolvable.  Otherwise it worked.